title: Guix welcomes Outreachy and GSoC interns
date: 2020-05-12 12:00
author: Gábor Boskovits
tags: GSoC, Outreachy
---

We are thrilled to announce that three people will join Guix as interns
over the next few months!  As part of Google’s Summer of Code (GSoC),
under the umbrella of the GNU Project, one person is joining us:

  - Brice Waegeneire (liberdiko) will work on [network booting Guix System](https://libreplanet.org/wiki/Group:Guix/GSoC-2020#Booting_via_network).
    This will involve both making Guix System network bootable,
    and making it easy to set up a network boot server on Guix System.

Through [Outreachy](https://www.outreachy.org), the internship program
for groups underrepresented in free software and tech, two people will
join:

  - Danjela will work on improving internationalization support for the
    [Guix Data Service](https://data.guix.gnu.org/),
  - Raghav Gururajan will work on integrating desktop environments
    into Guix System. 

Christopher Baines and Danny Milosavljevic will be their
primary mentors, and the whole Guix crowd will undoubtedly help and
provide guidance as it has always done.

We welcome all three interns, exciting things are sure to come!

#### About GNU Guix

[GNU Guix](https://www.gnu.org/software/guix) is a transactional package
manager and an advanced distribution of the GNU system that [respects
user
freedom](https://www.gnu.org/distros/free-system-distribution-guidelines.html).
Guix can be used on top of any system running the kernel Linux, or it
can be used as a standalone operating system distribution for i686,
x86_64, ARMv7, and AArch64 machines.

In addition to standard package management features, Guix supports
transactional upgrades and roll-backs, unprivileged package management,
per-user profiles, and garbage collection.  When used as a standalone
GNU/Linux distribution, Guix offers a declarative, stateless approach to
operating system configuration management.  Guix is highly customizable
and hackable through [Guile](https://www.gnu.org/software/guile)
programming interfaces and extensions to the
[Scheme](http://schemers.org) language.
