title: GSoC 2020 and Outreachy May 2020 to August 2020 Status Report II
date: 2020-02-29 15:00
author: Gábor Boskovits
tags: GSoC, Outreachy
---


#### GSoC

We are happy to announce that GNU Guix participates in the
[Google Summer of Code](https://summerofcode.withgoogle.com/) (GSoC),
under the aegis of the
[GNU project](https://www.gnu.org/software/soc-projects/ideas-2020.html).
We have collected [project ideas](https://libreplanet.org/wiki/Group:Guix/GSoC-2020) related to GNU Guix.
The list is far from exhaustive, so feel free to bring your own!

The GNU Project participation was announced on Feb. 20. Thanks for the GNU org admins for organizing this.

The application period is from March 16. to March 31. The final proposal submission deadline is March 31., 2020 at 20:00 CEST.

The student projects are announced on April 27., 2020. We will have to provide the number of slots requested to the GNU
project, so that they can accumulate the numbers to pass on to Google. This takes some time, so please prepare the decision
early, so we don't have to hurry when this information is requested. We kindly remind everyone involved
not to communicate an intern selection decision before the official announcement.

Internship information
- [general](https://summerofcode.withgoogle.com/)
- [Guix ideas page](https://libreplanet.org/wiki/Group:Guix/GSoC-2020)
- [timeline](https://summerofcode.withgoogle.com/how-it-works/#timeline)

[Information about GSoC internships](https://guix.gnu.org/blog/tags/gsoc/) related to the GNU Guix community.


#### Outreachy

We are happy to announce that GNU Guix offers a
[three-month internship through Outreachy](https://www.outreachy.org),
the inclusion program for groups traditionally underrepresented in free
software and tech.

We currently propose [three subjects](https://www.outreachy.org/apply/project-selection/#gnu-guix) to work on:

1. Create [Netlink](https://linux.die.net/man/7/netlink) bindings in Guile.
2. Improve internationalization support for the [Guix Data Service](http://data.guix.gnu.org).
3. Integration of desktop environments into GNU Guix.

The initial application deadline was on Feb. 25, 2020 at 4PM UTC, so initial applications are now closed.
This means that prospective applicants how did not do the initial application yet will have to apply for
a later Outreachy round.

The project list was finalized on Feb. 27. This means that no new proposals can be added for this round, so
the list above is final.

Funding was confirmed for two internships this round. Thanks for the members of the spending committee, who
are taking care of the financial side of this.

Co-mentor applications are still open, prospective mentors are encouraged to apply on the
[Guix community page](https://www.outreachy.org/communities/cfp/gnu-guix/).

The next phase is the contribution period: March 5, 2020 to April 7, 2020.
Also the final application deadline is April 7, 2020 at 4PM UTC.

In this phase applicants are working with the mentors on the projects,
and they have to register a contribution. A registered contribution
is a mandatory requirement.

Accepted interns will be announced on April 27, 2020 at 4PM UTC. We kindly remind everyone involved
not to communicate an intern selection decision before the official announcement.

Internship information:
- [general](https://www.outreachy.org)
- [Guix community page](https://www.outreachy.org/communities/cfp/gnu-guix/)
- [timeline](https://www.outreachy.org/apply/project-selection),

Last year we had the pleasure to welcome Laura Lazzati as an Outreachy intern working on
[documentation video creation](https://guix.gnu.org/blog/2019/documentation-video-creation/),
which led to the videos you can now see on the home page.

[Information about Outreachy internships](https://guix.gnu.org/blog/tags/outreachy/) related to the GNU Guix community.


#### Contributions

If you’d like to [contribute](https://guix.gnu.org/manual/en/html_node/Contributing.html)
to computing freedom, Scheme, functional programming, or operating system
development, now is a good time to join us. Let’s get in touch on
[the mailing lists and on the `#guix` channel on the Freenode IRC
network](https://guix.gnu.org/contact/)!


#### About GNU Guix

[GNU Guix](https://guix.gnu.org) is a transactional package
manager and an advanced distribution of the GNU system that [respects
user
freedom](https://www.gnu.org/distros/free-system-distribution-guidelines.html).
Guix can be used on top of any system running the kernel Linux, or it
can be used as a standalone operating system distribution for i686,
x86_64, ARMv7, and AArch64 machines.

In addition to standard package management features, Guix supports
transactional upgrades and roll-backs, unprivileged package management,
per-user profiles, and garbage collection.  When used as a standalone
GNU/Linux distribution, Guix offers a declarative, stateless approach to
operating system configuration management.  Guix is highly customizable
and hackable through [Guile](https://www.gnu.org/software/guile)
programming interfaces and extensions to the
[Scheme](http://schemers.org) language.
