title: Join GNU Guix for GSoC
date: 2017-03-09 14:00
author: Ludovic Courtès
slug: join-gnu-guix-for-gsoc-2017
tags: GSoC
---
As in
[previous](https://www.gnu.org/software/guix/news/gnu-guix-welcomes-four-students-for-gsoc.html)
[years](https://www.gnu.org/software/guix/news/gnu-guix-welcomes-three-students-for-gsoc.html),
Guix participates in the [Google Summer of
Code](https://summerofcode.withgoogle.com/) (GSoC), under the aegis of the [GNU
Project](https://www.gnu.org/software/soc-projects/ideas-2017.html).

We have collected project ideas for [Guix,
GuixSD](https://libreplanet.org/wiki/Group:Guix/GSoC-2017), as well as
[the GNU
Shepherd](https://libreplanet.org/wiki/Group:Guix/GSoC-2017#Project_ideas_for_the_GNU_Shepherd),
covering a range of topics.  If you are passionate about computing
freedom, Scheme, functional programming, or operating system
development, check out the proposed projects.  The list is far from
exhaustive, so feel free to bring your own!

You can get in touch with us on [the mailing
lists](https://www.gnu.org/software/guix/about/#contact) and on the
`#guix` channel on the Freenode IRC network.

If you are an [eligible
student](https://developers.google.com/open-source/gsoc/faq#students),
make sure to apply [by April
3rd](https://developers.google.com/open-source/gsoc/timeline).

#### About GNU Guix

[GNU Guix](https://www.gnu.org/software/guix) is a transactional package
manager for the GNU system.  The Guix System Distribution or GuixSD is
an advanced distribution of the GNU system that relies on GNU Guix and
[respects the user's
freedom](https://www.gnu.org/distros/free-system-distribution-guidelines.html).

In addition to standard package management features, Guix supports
transactional upgrades and roll-backs, unprivileged package management,
per-user profiles, and garbage collection.  Guix uses low-level
mechanisms from the Nix package manager, except that packages are
defined as native [Guile](https://www.gnu.org/software/guile) modules,
using extensions to the [Scheme](http://schemers.org) language.  GuixSD
offers a declarative approach to operating system configuration
management, and is highly customizable and hackable.

GuixSD can be used on an i686 or x86_64 machine.  It is also possible to
use Guix on top of an already installed GNU/Linux system, including on
mips64el and armv7.
