title: Join GNU Guix through Outreachy or GSoC
date: 2018-02-19 17:00
author: Ludovic Courtès
slug: join-gnu-guix-outreachy-gsoc
tags: Outreachy, GSoC
---

We are happy to announce that for the first time this year, GNU Guix
offers [a three-month internship through
Outreachy](https://www.outreachy.org/2018-may-august/communities/gnu-guix/),
the inclusion program for groups traditionally underrepresented in free
software and tech.  We currently propose two subjects to work on:

  1. [improving the user experience for the `guix package` command-line
     tool](https://www.outreachy.org/communities/cfp/gnu-guix/project/improve-the-user-experience-for-the-guix-package-c/);
  2. [enhancing Guile tools for the Guix package
     manager](https://www.outreachy.org/communities/cfp/gnu-guix/project/enhance-guile-tools-for-the-guix-package-manager/).

[Eligible persons](https://www.outreachy.org/apply/eligibility/) should
apply [by March 22nd](https://www.outreachy.org/communities/cfp/).

Guix also participates in the [Google Summer of
Code](https://summerofcode.withgoogle.com/) (GSoC), under the aegis of
the [GNU
Project](https://www.gnu.org/software/soc-projects/ideas-2018.html).  We
have collected project ideas for [Guix,
GuixSD](https://libreplanet.org/wiki/Group:Guix/GSoC-2018), and [the GNU
Shepherd](https://libreplanet.org/wiki/Group:Guix/GSoC-2018#Project_ideas_for_the_GNU_Shepherd),
covering a range of topics.  The list is far from exhaustive, so feel
free to bring your own!

If you are an [eligible
student](https://developers.google.com/open-source/gsoc/faq#students),
make sure to apply [by March 27th](https://developers.google.com/open-source/gsoc/timeline).

If you’d like to
[contribute](https://www.gnu.org/software/guix/manual/en/html_node/Contributing.html)
to computing freedom, Scheme, functional programming, or operating
system development, now is a good time to join us.  Let’s get in touch
on [the mailing lists and on the `#guix` channel on the Freenode IRC
network](https://www.gnu.org/software/guix/contact/)!


#### About GNU Guix

[GNU Guix](https://www.gnu.org/software/guix) is a transactional package
manager for the GNU system.  The Guix System Distribution or GuixSD is
an advanced distribution of the GNU system that relies on GNU Guix and
[respects the user's
freedom](https://www.gnu.org/distros/free-system-distribution-guidelines.html).

In addition to standard package management features, Guix supports
transactional upgrades and roll-backs, unprivileged package management,
per-user profiles, and garbage collection.  Guix uses low-level
mechanisms from the Nix package manager, except that packages are
defined as native [Guile](https://www.gnu.org/software/guile) modules,
using extensions to the [Scheme](http://schemers.org) language.  GuixSD
offers a declarative approach to operating system configuration
management, and is highly customizable and hackable.

GuixSD can be used on an i686, x86_64 and armv7 machines.  It is also
possible to use Guix on top of an already installed GNU/Linux system,
including on mips64el and aarch64.
