title: GNU Guix maintainer collective update
date: 2020-05-04 9:00
author: Maxim Cournoyer
tags: Community
---

This blog post is to announce a change of hands in the Guix
co-maintainer collective: Ricardo Wurmus is stepping down from his
role, and Mathieu Othacehe will be filling in to ensure continuity,
after being elected by the other Guix co-maintainers.

Ricardo has been around since the start, and has been invaluable to
the project.  He has been key in maintaining the infrastructure Guix
runs on, contributed countless packages, core APIs and tools
(importers, build systems, and Docker image creation to name a few).
Over the years, he's also brought us a fair share of cool hacks such
as a [nifty issue tracker](https://issues.guix.gnu.org), and generously
spent time helping Guix users in the IRC channel and mailing lists.
Equally important was his taking care of many administrative tasks
such as expanding the build farm and organizing Outreachy
participation.  We're sad to let him go, and hope he'll stick around
as time permits :-).

On the happier side of things, the appointment of Mathieu Othacehe as
a co-maintainer means Guix will benefit from renewed energy and vision
to grow further.  Mathieu has already made valuable contributions to
Guix; the graphical installer that allows users to easily install the
Guix System on their machine is one of them.  He has also
demonstrated the qualities we expect from a co-maintainer.  We're
thrilled to make official his new role as a Guix co-maintainer!

Let's take a moment to show our gratitude to Ricardo and welcome
Mathieu in his new role!

#### The Guix co-maintainers

The Guix maintainer collective now consists of Marius Bakke, Maxim
Cournoyer, Ludovic Courtès, Tobias Geerinckx-Rice and Mathieu
Othacehe.  You can reach us all by email at
`guix-maintainers@gnu.org`, a private alias.

For information about the responsibilities assumed by the Guix
co-maintainers, you are encouraged to read a previous [blog
post](https://guix.gnu.org/blog/2019/gnu-guix-maintainer-collective-expands/)
that covered the topic.

#### About GNU Guix

[GNU Guix](https://www.gnu.org/software/guix) is a transactional package
manager and an advanced distribution of the GNU system that [respects
user
freedom](https://www.gnu.org/distros/free-system-distribution-guidelines.html).
Guix can be used on top of any system running the kernel Linux, or it
can be used as a standalone operating system distribution for i686,
x86_64, ARMv7, and AArch64 machines.

In addition to standard package management features, Guix supports
transactional upgrades and roll-backs, unprivileged package management,
per-user profiles, and garbage collection.  When used as a standalone
GNU/Linux distribution, Guix offers a declarative, stateless approach to
operating system configuration management.  Guix is highly customizable
and hackable through [Guile](https://www.gnu.org/software/guile)
programming interfaces and extensions to the
[Scheme](http://schemers.org) language.
