title: GNU Guix maintainer rotation
date: 2022-01-06 9:00
author: Maxim Cournoyer
tags: Community
---

For some time already, Ludovic and Marius have voiced their desire to
step down from the Guix maintainers collective.  An
[email](https://mail.gnu.org/archive/html/guix-devel/2021-08/msg00009.html)
announcing the news and calling for new maintainers was sent more than
4 months ago.  We're very happy to announce that Efraim Flashner has
responded to the call and accepted to join the Guix maintainers
collective!  Efraim has been with Guix for a long time -- [the first
recorded Git history of their activity goes back to
2015](https://git.savannah.gnu.org/cgit/guix.git/commit/?id=7e22d6fee921f7559fc704a35d226875ec2f9ea8),
and they have since authored more than 6000 commits!  More
importantly, Efraim has demonstrated traits we value for a
co-maintainer, such as good communication and collaboration abilities,
values that align well with those of the GNU project and overall a
person you'd like to hang out with at FOSDEM :-).

We're sad to see Ludovic and Marius step down from their current
duties, but we take comfort knowing they will remain among us for the
good hacks and occasional guidance.  Losing them as co-maintainers
will be a difficult test for the remaining Guix co-maintainers.
Ludovic's wit, relentless energy, tactful communication and wise
planning have been invaluable to the Guix project throughout the
years.  Ludovic has mentioned this decision was at least partly based
on their desire to guard Guix against the [Founder's
syndrome](https://en.wikipedia.org/wiki/Founder's_syndrome), which is
something we can only applaud.  Marius has served as co-maintainer
since October 2019.  Their calm, composed attitude has helped us
navigate through at times difficult situations, and their technical
wizardry has brought us the likes of
[ungoogled-chromium](https://git.savannah.gnu.org/cgit/guix.git/commit/?id=f1e9de4d3aefae420db633a56ba9cd93f7750df3)
and a [Ganeti
service](https://guix.gnu.org/en/blog/2020/running-a-ganeti-cluster-on-guix/),
among many others.

Let's take a moment to say thank you to Ludovic and Marius for their
valuable years as maintainers, and wish they can enjoy their newfound
extra time :-).

Let's also wish a warm welcome to Efraim.  Thank you for stepping up
to become a co-maintainer, Efraim!

#### The Guix co-maintainers

The Guix maintainer collective now consists of Efraim Flashner,
Mathieu Othacehe, Maxim Cournoyer and Tobias Geerinckx-Rice.  You can
reach us all by email at `guix-maintainers@gnu.org`, a private alias.

For information about the responsibilities assumed by the Guix
co-maintainers, you are encouraged to read a previous [blog
post](https://guix.gnu.org/blog/2019/gnu-guix-maintainer-collective-expands/)
that covered the topic.

#### About GNU Guix

[GNU Guix](https://guix.gnu.org) is a transactional package manager and
an advanced distribution of the GNU system that [respects user
freedom](https://www.gnu.org/distros/free-system-distribution-guidelines.html).
Guix can be used on top of any system running the Hurd or the Linux
kernel, or it can be used as a standalone operating system distribution
for i686, x86_64, ARMv7, AArch64 and POWER9 machines.

In addition to standard package management features, Guix supports
transactional upgrades and roll-backs, unprivileged package management,
per-user profiles, and garbage collection.  When used as a standalone
GNU/Linux distribution, Guix offers a declarative, stateless approach to
operating system configuration management.  Guix is highly customizable
and hackable through [Guile](https://www.gnu.org/software/guile)
programming interfaces and extensions to the
[Scheme](http://schemers.org) language.
