title: Meet Guix at FOSDEM
slug: meet-guix-at-fosdem-2021
date: 2021-02-02 15:00:00
author: Ludovic Courtès
tags: FOSDEM, Guix Days, Talks, Community
---

As usual, GNU Guix will be present at [FOSDEM](https://fosdem.org/2021/)
on February 6th and 7th.  Due to the pandemic, this year’s edition takes
place on-line.  The downside is that we’ll miss beautiful Brussels, but
on the up side hopefully people who cannot join physically will be able
to attend this year, and the event’s carbon footprint will be much
lower.

We’re happy to say that there will be several talks about Guix and
related projects!

  - Saturday afternoon, [*Guix Workflow Language — Extending a
    reproducible software deployment system for
    HPC*](https://fosdem.org/2021/schedule/event/guix_workflow/) by
    Ricardo Wurmus, in the [high-performance computing (HPC)
    track](https://fosdem.org/2021/schedule/track/hpc_big_data_and_data_science/),
    will introduce the [Guix Workflow
    Language](https://workflows.guix.info/) and discuss the state of
    workflow languages.

Sunday, the [Declarative and Minimalistic Computing
track](https://fosdem.org/2021/schedule/track/declarative_and_minimalistic_computing/)
will be home to several Guix talks:

  - Around noon, [*GNU Mes: the Full Source Bootstrap — The missing link
    between stage0/M2-Planet and
    Mes*](https://fosdem.org/2021/schedule/event/gnumes/) by Jan
    “janneke” Nieuwenhuizen will present the latest advances in
    [bootstrapping](https://guix.gnu.org/en/blog/tags/bootstrapping/):
    building the root of the Guix package collection _entirely from
    source_!
  - Early in the afternoon, [*Declaratively yours — Composing system
    abstractions with
    GNU Guix*](https://fosdem.org/2021/schedule/event/gnuguix/) by
    Ludovic Courtès will present how Guix takes advantage of its
    declarative structure, showcasing concrete examples.
  - [_Is GNU Guix a minimal distribution, and what might that even
    mean?_](https://fosdem.org/2021/schedule/event/minimalismguix/) by
    Christopher Baines will reflect on what minimalism means for
    distributions and how it might apply to Guix.

Do not miss all the other [exciting talks in this
track](https://fosdem.org/2021/schedule/track/declarative_and_minimalistic_computing/),
some by Guile and Guix hackers!

For the fourth time, we are also organizing a [FOSDEM fringe
event](https://fosdem.org/2021/fringe/) on Monday, February 8th, a
**one-day Guix workshop** where contributors and enthusiasts will meet,
on-line.  Being an on-line event, we hope to attract people (maybe you?)
who wouldn’t have come to the in-person meeting but will be happy to
learn about what’s cooking in Guix and share their experience, needs,
and ideas.

Again this year there will be few talks; instead, the event will
consist primarily of
“[unconference-style](https://en.wikipedia.org/wiki/Unconference)”
sessions focused on specific hot topics about Guix, the Shepherd,
continuous integration, and related tools and workflows.

Attendance to the workshop is free and open to everyone, though you are
invited to register (there are only a few seats left!).  Join [our
BigBlueButton instance](https://guixbbb.fosshost.org) on Monday 8th, and
check out [the workshop’s wiki
page](https://libreplanet.org/wiki/Group:Guix/FOSDEM2021) for practical
info.  Hope to see you on-line!

#### About GNU Guix

[GNU Guix](https://guix.gnu.org) is a transactional package manager and
an advanced distribution of the GNU system that [respects user
freedom](https://www.gnu.org/distros/free-system-distribution-guidelines.html).
Guix can be used on top of any system running the Hurd or the Linux
kernel, or it can be used as a standalone operating system distribution
for i686, x86_64, ARMv7, and AArch64 machines.

In addition to standard package management features, Guix supports
transactional upgrades and roll-backs, unprivileged package management,
per-user profiles, and garbage collection.  When used as a standalone
GNU/Linux distribution, Guix offers a declarative, stateless approach to
operating system configuration management.  Guix is highly customizable
and hackable through [Guile](https://www.gnu.org/software/guile)
programming interfaces and extensions to the
[Scheme](http://schemers.org) language.
