title: Meet Guix at FOSDEM
slug: meet-guix-at-fosdem-2022
date: 2022-02-02 15:00:00
author: Ludovic Courtès
tags: FOSDEM, Guix Days, Talks, Community
---

As usual, GNU Guix will be present at [FOSDEM](https://fosdem.org/2022/)
this week-end, February 5th and 6th.  Due to the pandemic, FOSDEM takes
place on-line for the second year, but we’re confident the wires will be
able carry enthusiasm to the homes of the thousands of attendees.

This year’s a bit special: we’re celebrating 10 years of Guix, including
[8 years sharing our excitement at
FOSDEM](https://guix.gnu.org/en/blog/tags/fosdem/)!  This edition will
also bring you several talks about Guix and related projects.

  - Sunday morning, in the [distributions
    track](https://fosdem.org/2022/schedule/track/distributions/),
    co-maintainer and long-time hacker Mathieu Othacehe will present
    [“_Unify your distributions — How GNU Guix can run on any of your
    hardware_”](https://fosdem.org/2022/schedule/event/unify_your_distributions/)

The other talks will take place on Sunday as well, in the now
traditional track on [declarative and minimalistic
computing](https://fosdem.org/2022/schedule/track/declarative_and_minimalistic_computing/):

  - [“_A year of RISC-V adventures: embracing chaos in your software
    journey_”](https://fosdem.org/2022/schedule/event/riscvadventures/)
    will be Ekaitz Zarraga’s account of the work porting
    GNU Guile, stage0, and GNU Mes to RISC-V, which will be instrumental
    in improving the RISC-V port of Guix.
  - With [_“Declare All Your Needs — Managing computing environment
    declaratively using
    GNU Guix”_](https://fosdem.org/2022/schedule/event/guixdeclare/),
    Andrew Tropin will show how you can declare your whole computing
    environment using [Guix
    System](https://guix.gnu.org/manual/devel/en/html_node/System-Configuration.html),
    [Guix
    Home](https://guix.gnu.org/manual/devel/en/html_node/Home-Configuration.html),
    and [rde](https://git.sr.ht/~abcdw/rde/).
  - In [“_GNU Guix behind the scene — Continuous integration for the
    GNU Guix
    project_”](https://fosdem.org/2022/schedule/event/gnuguixci/),
    Mathieu Othacehe will show what’s happening in the backyard of
    [Guix’s build farm](https://ci.guix.gnu.org).
  - [“_Concise Common Workflow Language — Concision and elegance in a
    workflow language using
    Lisp_”](https://fosdem.org/2022/schedule/event/commonworkflowlang/)
    will be Arun Isaac presenting [the all new
    ccwl](https://hpc.guix.info/blog/2022/01/ccwl-for-concise-and-painless-cwl-workflows/), a
    Guile domain-specific language (DSL) to define scientific workflows.

But let’s be clear: there are other [exciting talks in this
track](https://fosdem.org/2022/schedule/track/declarative_and_minimalistic_computing/),
some of which closely related to Guix and Guile, so do not miss out!

![Guix Days logo](/static/blog/img/Guix-Days-online-2022.png)

As in previous years, we are also organizing a [two-day on-line
event](https://guix.gnu.org/en/blog/2022/online-guix-days-2022-announcement-1/)
two weeks after FOSDEM.  If you’d like to share what you’ve done with
Guix or in Guix, if you have packaging stories from the trenches,
there’s *one week left to submit a talk*.  At any rate, whether you’re
simply curious about Guix or whether you’re already deep into, we hope
to see you on February, 19–20!

#### About GNU Guix

[GNU Guix](https://guix.gnu.org) is a transactional package manager and
an advanced distribution of the GNU system that [respects user
freedom](https://www.gnu.org/distros/free-system-distribution-guidelines.html).
Guix can be used on top of any system running the Hurd or the Linux
kernel, or it can be used as a standalone operating system distribution
for i686, x86_64, ARMv7, AArch64 and POWER9 machines.

In addition to standard package management features, Guix supports
transactional upgrades and roll-backs, unprivileged package management,
per-user profiles, and garbage collection.  When used as a standalone
GNU/Linux distribution, Guix offers a declarative, stateless approach to
operating system configuration management.  Guix is highly customizable
and hackable through [Guile](https://www.gnu.org/software/guile)
programming interfaces and extensions to the
[Scheme](http://schemers.org) language.
