title: GNU Guix maintainer collective expands
date: 2019-10-05 14:30
author: Ludovic Courtès, Ricardo Wurmus
tags: Community
---

In July, we—Ricardo Wurmus and Ludovic Courtès—[called for volunteers to
join us in maintaining
Guix](https://lists.gnu.org/archive/html/guix-devel/2019-07/msg00128.html).
We are thrilled to announce that three brave hackers responded and that
they’re now officially co-maintainers!  The Guix maintainer collective
now consists of Marius Bakke, Maxim Cournoyer, and Tobias
Geerinckx-Rice, in addition to Ricardo and Ludovic.  You can reach us
all by email at `guix-maintainers@gnu.org`, a private alias.

So what does it mean to be a maintainer?  There are some duties:

  1. Enforcing GNU and Guix policies, such as the project’s commitment
     to be released under a copyleft free software license (GPLv3+) and
     to follow the [Free System Distribution
     Guideline](https://www.gnu.org/distros/free-system-distribution-guidelines.html)
     (FSDG).

  2. Enforcing our [code of
     conduct](https://git.savannah.gnu.org/cgit/guix.git/tree/CODE-OF-CONDUCT):
     maintainers are the contact point for anyone who wants to report
     abuse.

  3. Making decisions, about code or anything, when consensus cannot be
     reached.  We’ve probably never encountered such a situation before,
     though!

Maintainers should have a good idea of what’s going on, but the other
responsibilities can (and should! :-)) be delegated.  Maybe you, dear
reader, can help on one of them?  Here are some examples:

  - Making releases.  Any experienced developer can take this
    responsibility for some time.

  - Dealing with development and its everyday issues as well as
    long-term roadmaps, branch merges, code review, bug triage, all
    that.

  - Participating in Outreachy and Google Summer of Code (GSoC).

  - Organizing the Guix Days before FOSDEM and our presence at FOSDEM
    and other conferences.

  - Taking care of Guix money kindly donated by dozens of people and
    [held at the FSF](https://www.fsf.org/working-together).  A Spending
    Committee currently consisting of Tobias, Ricardo, and Ludovic, is
    responsible for deciding on, well, what to spend money on.
    Maintainers should also keep in touch with the “Guix Europe”
    non-profit registered in France, currently spearheaded by Manolis
    Ragkousis and Andreas Enge, and which has been providing financial
    support for hardware and events.

  - Keeping the build farm infrastructure up and running, extending it,
    thinking about hosting issues, etc.

  - Keeping the web site up-to-date.

  - Looking after people: making sure to promote people who are very
    involved in leadership position; dubbing new committers, new
    maintainers, new members of the spending committee.  Supporting new
    initiatives.  Generally trying to make sure everyone’s happy.  :-)

With now five people on-board, we’ll probably be able to improve some of
our processes and be able to scale better.  You’re welcome to share your
ideas on `guix-devel@gnu.org` or directly at `guix-maintainers@gnu.org`!

More generally, we think rotating responsibilities is a great way to
bring new ideas and energy into the project.  We are super happy and
grateful that Maxim, Marius, and Tobias are taking on this
challenge—thank you folks!

#### About GNU Guix

[GNU Guix](https://www.gnu.org/software/guix) is a transactional package
manager and an advanced distribution of the GNU system that [respects
user
freedom](https://www.gnu.org/distros/free-system-distribution-guidelines.html).
Guix can be used on top of any system running the kernel Linux, or it
can be used as a standalone operating system distribution for i686,
x86_64, ARMv7, and AArch64 machines.

In addition to standard package management features, Guix supports
transactional upgrades and roll-backs, unprivileged package management,
per-user profiles, and garbage collection.  When used as a standalone
GNU/Linux distribution, Guix offers a declarative, stateless approach to
operating system configuration management.  Guix is highly customizable
and hackable through [Guile](https://www.gnu.org/software/guile)
programming interfaces and extensions to the
[Scheme](http://schemers.org) language.
