title: Announcing the first online Guix Day Conference
date: 2020-10-16 00:00
author: Guix Hackers
slug: online-guix-day-announce-1
tags: Conference, Community
---

The Guix hackers are very happy to announce the first online Guix Day
Conference on **Sunday November, 22nd**.  This conference is open to everyone
and will be held entirely online.  Want to speak?  Submit your proposal!

Important dates:

1. **November 6th**: Deadline for talks proposal.
1. **November 14th**: Deadline for releasing your pre-recorded talks.
1. **November 16th**: Release of the schedule.
1. **November 22nd**: Conference day!

![Guix Days logo](/static/blog/img/Guix-Days-online-2020.png)

The agenda of the day is:

 - pre-recorded talks with live question and answer sessions
 - birds of a feather (BoF) sessions
 - lightning round talks, if possible
 - hack together

*There will be no presentation on the 22nd!* And **no registration fee**.

##### Until November 6th: talks proposal

Propose your talks by sending them to `guix-days@gnu.org`.  Feel free to drop
in `#guix` on irc.freenode.net to discuss what you would like to talk about
before submitting. :)

Please describe with 10 lines or more what your proposal is about.  Even if it
is a BoFs topic (smaller group who want to talk about specific topics).

Once you have sent your proposal, you will be notified in the coming days
whether your talk be part of the Guix Day.

Good topics include your own experience with Guix and what you feel is
important to share with your other fellows, for example a non-exhaustive topic
list is: installer, Maven build system, Data Service, GNU Hurd and
cross-compilation, Cuirass and continuous integration, authentication, secret
services, website translation, translation infrastructure,…  It is a single
day so we won't be able to cover all. ;-)


##### November 9th-14th: prepare your talk

The aim of the pre-recorded talk is to demonstrate new features, what you are
hacking on, introduce the subject for easing the live question and answer
sessions or BoFs.  These pre-recorded talks should be **15-45 minutes
long**.  Feel free to ask if you need help with the recording.

You are free to choose whichever storage platform you want (e.g., your own
website, a PeerTube instance, a Nextcloud instance, etc.), but we will need to
have access to the original file so we can publish it later on
[audio-video.gnu.org](https://audio-video.gnu.org).  Your video must be
released under a license that at least allows anyone to copy and share it, for
any purpose.

You will have to release the video publicly before November 14th, so everyone
has a chance to see it before the conference.  If you are not able to do so
(for instance your server cannot handle a huge load), you can alternatively
send us a private link to the video and we will upload it on
[audio-video.gnu.org](https://audio-video.gnu.org).  If you decide to do so,
you will need to have the video ready by November 12th.


##### November 16th-22nd: watch the talks

Be sure to watch the pre-recorded talks before the conference.  There will be
no presentation on the 22nd.


##### November 22nd: participate

Coming soon!  Stay tuned.


#### Code of Conduct

This online conference is an official Guix event.  Therefore, the [Code of
Conduct](http://git.savannah.gnu.org/cgit/guix.git/tree/CODE-OF-CONDUCT)
applies.  Please be sure to read it beforehand!

#### About GNU Guix

[GNU Guix](https://www.gnu.org/software/guix) is a transactional package
manager and an advanced distribution of the GNU system that [respects
user
freedom](https://www.gnu.org/distros/free-system-distribution-guidelines.html).
Guix can be used on top of any system running the Hurd or the Linux
kernel, or it can be used as a standalone operating system distribution
for i686, x86_64, ARMv7, and AArch64 machines.

In addition to standard package management features, Guix supports
transactional upgrades and roll-backs, unprivileged package management,
per-user profiles, and garbage collection.  When used as a standalone
GNU/Linux distribution, Guix offers a declarative, stateless approach to
operating system configuration management.  Guix is highly customizable
and hackable through [Guile](https://www.gnu.org/software/guile)
programming interfaces and extensions to the
[Scheme](http://schemers.org) language.
