title: Join GNU Guix through Outreachy
date: 2020-01-13 14:30
author: Gábor Boskovits
tags: Outreachy
---
We are happy to announce that for the fourth time GNU Guix offers a
[three-month internship through Outreachy](https://www.outreachy.org),
the inclusion program for groups traditionally underrepresented in free software
and tech. We currently propose [four subjects](https://www.outreachy.org/apply/project-selection/#gnu-guix) to work on:

1. Implement [netlink](https://linux.die.net/man/7/netlink) bindings for Guile.
2. Improve internationalization support for the [Guix Data Service](http://data.guix.gnu.org).
3. Add accessibility support for the [Guix System Installer](https://guix.gnu.org/manual/en/html_node/Guided-Graphical-Installation.html).
4. Add monitoring support for the Guix daemon and [Cuirass](https://guix.gnu.org/manual/en/html_node/Continuous-Integration.html).

The initial applications for this round open on Jan. 20, 2020 at 4PM UTC and the initial application deadline is on Feb. 25, 2020 at 4PM UTC.

The final project list is announced on Feb. 25, 2020.

For further information, check out the
[timeline](https://www.outreachy.org/apply/project-selection),
[information about the application
process](https://www.outreachy.org/apply), and the [eligibility
rules](https://www.outreachy.org/apply/eligibility).

If you’d like to [contribute](https://guix.gnu.org/manual/en/html_node/Contributing.html)
to computing freedom, Scheme, functional programming, or operating system
development, now is a good time to join us. Let’s get in touch on
[the mailing lists and on the `#guix` channel on the Freenode IRC
network](https://guix.gnu.org/contact/), or come chat with us [at
FOSDEM](https://guix.gnu.org/blog/2020/meet-guix-at-fosdem-2020/)!

Last year we had the pleasure to welcome Laura Lazzati as an Outreachy intern working on [documentation video creation](https://guix.gnu.org/blog/2019/documentation-video-creation/), which led to the videos you can now see on the home page.

#### About GNU Guix

[GNU Guix](https://guix.gnu.org) is a transactional package
manager and an advanced distribution of the GNU system that [respects
user
freedom](https://www.gnu.org/distros/free-system-distribution-guidelines.html).
Guix can be used on top of any system running the kernel Linux, or it
can be used as a standalone operating system distribution for i686,
x86_64, ARMv7, and AArch64 machines.

In addition to standard package management features, Guix supports
transactional upgrades and roll-backs, unprivileged package management,
per-user profiles, and garbage collection.  When used as a standalone
GNU/Linux distribution, Guix offers a declarative, stateless approach to
operating system configuration management.  Guix is highly customizable
and hackable through [Guile](https://www.gnu.org/software/guile)
programming interfaces and extensions to the
[Scheme](http://schemers.org) language.
