title: Join GNU Guix through Outreachy
date: 2021-02-10 18:30
author: Gábor Boskovits
tags: Outreachy
---
We are happy to announce that GNU Guix offers a
[three-month paid internship through Outreachy](https://www.outreachy.org),
the inclusion program for groups traditionally underrepresented in free software
and tech.

The initial application deadline is on Feb. 22, 2021 at 4PM UTC.

For further information, check out the
[timeline](https://www.outreachy.org/apply/project-selection),
[information about the application
process](https://www.outreachy.org/apply), and the [eligibility
rules](https://www.outreachy.org/apply/eligibility).

If you’d like to [contribute](https://guix.gnu.org/manual/en/html_node/Contributing.html)
to computing freedom, Scheme, functional programming, or operating system
development, now is a good time to join us. Let’s get in touch on
[the mailing lists and on the `#guix` channel on the Freenode IRC
network](https://guix.gnu.org/en/contact/)!

Prospective mentors and applicants are encouraged to collect the draft proposals on the [Guix Outreachy 2021 summer ideas](https://libreplanet.org/wiki/Group:Guix/Outreachy-2021-summer) page.

In the ongoing round, we have the pleasure to work with Magali Lemes as
an Outreachy intern, who is working on the [`guix git
log`](https://guix.gnu.org/en/blog/2020/add-a-subcommand-showing-gnu-guix-history-of-all-packages/)
command.

#### About GNU Guix

[GNU Guix](https://guix.gnu.org) is a transactional package manager and
an advanced distribution of the GNU system that [respects user
freedom](https://www.gnu.org/distros/free-system-distribution-guidelines.html).
Guix can be used on top of any system running the Hurd or the Linux
kernel, or it can be used as a standalone operating system distribution
for i686, x86_64, ARMv7, and AArch64 machines.

In addition to standard package management features, Guix supports
transactional upgrades and roll-backs, unprivileged package management,
per-user profiles, and garbage collection.  When used as a standalone
GNU/Linux distribution, Guix offers a declarative, stateless approach to
operating system configuration management.  Guix is highly customizable
and hackable through [Guile](https://www.gnu.org/software/guile)
programming interfaces and extensions to the
[Scheme](http://schemers.org) language.
