title: Join GNU Guix through Outreachy
date: 2018-10-04 10:00
author: Gábor Boskovits
tags: Outreachy, Documentation
---
We are happy to announce that for the second time this year, GNU Guix offers a
[three-month internship through Outreachy](https://www.outreachy.org/december-2018-march-2019-outreachy-internships/communities/gnu-guix/),
the inclusion program for groups traditionally underrepresented in free software
and tech. We currently propose one subject to work on:

1. [Create user video documentation for GNU Guix](https://www.outreachy.org/december-2018-march-2019-outreachy-internships/communities/gnu-guix/#create-user-video-documentation-for-gnu-guix).

[Eligible persons](https://www.outreachy.org/apply/eligibility/) should apply
[by November 22th](https://www.outreachy.org/communities/cfp/).

If you’d like to [contribute](https://www.gnu.org/software/guix/manual/en/html_node/Contributing.html)
to computing freedom, Scheme, functional programming, or operating system
development, now is a good time to join us. Let’s get in touch on
[the mailing lists and on the #guix channel on the Freenode IRC network](https://www.gnu.org/software/guix/contact/)!

# About GNU Guix

[GNU Guix](https://www.gnu.org/software/guix/) is a transactional package
manager for the GNU system. The Guix System Distribution or GuixSD is an
advanced distribution of the GNU system that relies on GNU Guix and
[respects the user's freedom](https://www.gnu.org/distros/free-system-distribution-guidelines.html).

In addition to standard package management features, Guix supports transactional
upgrades and roll-backs, unprivileged package management, per-user profiles, and
garbage collection. Guix uses low-level mechanisms from the Nix package manager,
except that packages are defined as native
[Guile](https://www.gnu.org/software/guile/) modules, using extensions to
the [Scheme](https://schemers.org/) language. GuixSD offers a declarative
approach to operating system configuration management, and is highly customizable
and hackable.

GuixSD can be used on i686, x86_64, and armv7 machines. It is also possible to
use Guix on top of an already installed GNU/Linux system, including on mips64el
and aarch64.
