title: Join GNU Guix through Outreachy
date: 2019-10-01 18:00
author: Gábor Boskovits
tags: Outreachy
---
We are happy to announce that for the third time GNU Guix offers a
[three-month internship through Outreachy](https://www.outreachy.org),
the inclusion program for groups traditionally underrepresented in free software
and tech. We currently propose [two subjects](https://www.outreachy.org/apply/project-selection/#gnu-guix) to work on:

1. Create Netlink bindings in Guile
2. Improve internationalization support for the Guix Data Service

If you’d like to [contribute](https://guix.gnu.org/manual/en/html_node/Contributing.html)
to computing freedom, Scheme, functional programming, or operating system
development, now is a good time to join us. Let’s get in touch on
[the mailing lists and on the #guix channel on the Freenode IRC network](https://guix.gnu.org/contact/)!

Last year we had the pleasure to welcome Laura Lazzati as an Outreachy intern working on [documentation video creation](https://guix.gnu.org/blog/2019/documentation-video-creation/).

#### About GNU Guix

[GNU Guix](https://www.gnu.org/software/guix) is a transactional package
manager and an advanced distribution of the GNU system that [respects
user
freedom](https://www.gnu.org/distros/free-system-distribution-guidelines.html).
Guix can be used on top of any system running the kernel Linux, or it
can be used as a standalone operating system distribution for i686,
x86_64, ARMv7, and AArch64 machines.

In addition to standard package management features, Guix supports
transactional upgrades and roll-backs, unprivileged package management,
per-user profiles, and garbage collection.  When used as a standalone
GNU/Linux distribution, Guix offers a declarative, stateless approach to
operating system configuration management.  Guix is highly customizable
and hackable through [Guile](https://www.gnu.org/software/guile)
programming interfaces and extensions to the
[Scheme](http://schemers.org) language.
